Loading...
Searching...
No Matches
determine_compiler_language_support.h File Reference
`#include "determine_compiler.h"`

Go to the source code of this file.

## Macros

#define | ETL_CPP26_SUPPORTED 0
#define | ETL_CPP23_SUPPORTED 0
#define | ETL_CPP20_SUPPORTED 0
#define | ETL_CPP17_SUPPORTED 0
#define | ETL_CPP14_SUPPORTED 0
#define | ETL_CPP11_SUPPORTED 0
#define | ETL_CPP11_NOT_SUPPORTED (!ETL_CPP11_SUPPORTED)
#define | ETL_CPP14_NOT_SUPPORTED (!ETL_CPP14_SUPPORTED)
#define | ETL_CPP17_NOT_SUPPORTED (!ETL_CPP17_SUPPORTED)
#define | ETL_CPP20_NOT_SUPPORTED (!ETL_CPP20_SUPPORTED)
#define | ETL_CPP23_NOT_SUPPORTED (!ETL_CPP23_SUPPORTED)
#define | ETL_CPP26_NOT_SUPPORTED (!ETL_CPP26_SUPPORTED)
#define | ETL_USING_CPP11 (ETL_CPP11_SUPPORTED == 1)
#define | ETL_USING_CPP14 (ETL_CPP14_SUPPORTED == 1)
#define | ETL_USING_CPP17 (ETL_CPP17_SUPPORTED == 1)
#define | ETL_USING_CPP20 (ETL_CPP20_SUPPORTED == 1)
#define | ETL_USING_CPP23 (ETL_CPP23_SUPPORTED == 1)
#define | ETL_USING_CPP26 (ETL_CPP26_SUPPORTED == 1)
#define | ETL_NOT_USING_CPP11 (ETL_CPP11_SUPPORTED == 0)
#define | ETL_NOT_USING_CPP14 (ETL_CPP14_SUPPORTED == 0)
#define | ETL_NOT_USING_CPP17 (ETL_CPP17_SUPPORTED == 0)
#define | ETL_NOT_USING_CPP20 (ETL_CPP20_SUPPORTED == 0)
#define | ETL_NOT_USING_CPP23 (ETL_CPP23_SUPPORTED == 0)
#define | ETL_NOT_USING_CPP26 (ETL_CPP26_SUPPORTED == 0)
#define | ETL_NO_NULLPTR_SUPPORT ETL_NOT_USING_CPP11
#define | ETL_NO_SMALL_CHAR_SUPPORT 1
#define | ETL_NO_LARGE_CHAR_SUPPORT ETL_NOT_USING_CPP11
#define | ETL_CPP11_TYPE_TRAITS_IS_TRIVIAL_SUPPORTED ETL_USING_CPP11
#define | ETL_LANGUAGE_STANDARD 3
#define | ETL_NO_CPP_NAN_SUPPORT
#define | ETL_HAS_STD_BYTESWAP 0
#define | ETL_HAS_STD_IS_VIRTUAL_BASE_OF 0
#define | ETL_HAS_STD_TRIVIALLY_RELOCATABLE 0
#define | ETL_HAS_STD_ATOMIC_MIN_MAX 0